Subject: Re: [msysGit] Difficulties senting patches to Git list using msmpt (send-email)

From: Torsten Bögershausen <[email-masked]>
Date: Mon, 3 Aug 2015 15:09:28 +0200

Seems like a greylist problem ?
(I take the freedom to forward your mail to upstream git,
in the hope that somebody has has an idea)

On 03.08.15 13:13, Philip Oakley wrote:
> I'm scratching my head as to why patches I try to send upstream ([email-masked]) via my MSysGit install's send-email appear to be being dropped at gver/gmane.
> 
> It's only the patches I originate via send-email, using the windows MSysGit msmtp mailer that aren't getting through. Other emails I send in reply to threads on gmane (via OE6) get through OK.
> 
> I have confirmed I'm subscribed (as per FAQs), and I've also tested the auto-answer facility.
> 
> The one peculiarity of the auto-answers is that the OE6 email reply had a delay:
> 
> X-Greylist: delayed 592 seconds by postgrey-1.27 at vger.kernel.org; Sat, 01 Aug 2015 16:11:58 EDT
> [...]
> X-Mailer: Microsoft Outlook Express 6.00.2900.5931
> 
> while msmpt did not:
> [ no X-Greylist: ]
> X-Mailer: git-send-email 2.3.1
> 
> The delay may be a red-herring as it occurred on the non-problematic route, but may be an indication of some extra processing within gmane that affects the patches.
> 
> I have had a reply to one of the patch emails's direct addressees ($gmane/275141), and I'd also received a copy of the patch as I'd cc'd myself, so at least the outbound routing is getting beyond my ISP.
> 
> Does anyone have suggestions as to how I determine where/why my patche emails dropped into >dev/null ?
> 
> -- 
> 
> Philip
> 
> PS I'm using the old msysgit infrastructure as msmpt wasn't available in the new SDK at this moment.
> 
> I don't believe it's anything to do with the recompile at v2.3.1 (rather than the plain vanilla msysgit.1.9.5), but then again...